# Generated by Django 3.1 on 2020-12-06 17:34

from django.db import migrations


def migrate_ficheCGU(apps, schema_editor):
    Utilisateur = apps.get_model("utilisateur", "Utilisateur")
    AcceptationCGU = apps.get_model("utilisateur", "AcceptationCGU")

    for utilisateur in Utilisateur.objects.exclude(ficheCGU__isnull=True).exclude(ficheCGU__exact=''):
        AcceptationCGU.objects.create(
            utilisateur=utilisateur,
            ficheCGU=utilisateur.ficheCGU
        )


class Migration(migrations.Migration):

    dependencies = [
        ('utilisateur', '0007_auto_20201205_1757'),
    ]

    operations = [
        migrations.RunPython(migrate_ficheCGU)
    ]
